XISUITEDokumentation

Asset Links

3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

GET/spaces/{spaceId}/lists/items/{itemId}/linksToken

Parameter

NameOrtTypBeschreibung
itemIdPflichtPfadstring–
spaceIdPflichtPfadany–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/links" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a link#

POST/spaces/{spaceId}/lists/items/{itemId}/linksToken

Parameter

NameOrtTypBeschreibung
itemIdPflichtPfadstring–
spaceIdPflichtPfadany–

Request-Bodyapplication/jsonCreateLinkDto

NameTypBeschreibung
target_typePflichtstring

Werte: asset_itemtaskprocess

target_idPflichtstring–
link_typestring

Werte: relatedblocksblocked_byduplicatesparentchild

Standard: "related"

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/links" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_type":"asset_item","target_id":"…"}'
DELETE/spaces/{spaceId}/lists/items/{itemId}/links/{linkId}Token

Parameter

NameOrtTypBeschreibung
linkIdPflichtPfadstring–
itemIdPflichtPfadany–
spaceIdPflichtPfadany–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/links/{linkId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions